Subject: bug#61394: 30.0.50; [PATCH] Image-dired thumb name based on content

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Aug 2023 13:55:22 +0300

> From: Manuel Giraud <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 04 Aug 2023 09:44:41 +0200
> 
> > What I had in mind is this:
> >
> >  (defun image-dired-update-thumbnail-at-point ()
> >    "Update the thumbnail at point if the original image file has been modified.
> >  This function uncaches and removes the thumbnail file under the old name."
> >
> > OK?
> 
> Ok.  Sorry I misread your reply ("move" not "remove").  BTW, I'm using
> 'M-q' on docstring and my fill-column is set to 70 (the default I
> guess): is there a better way?

70 is okay as the default value, but when you cannot squeeze the first
line into 70 columns, it is okay to use up to 79.

> >> What about:
> >> 
> >> "When 'image-dired-thumb-naming' is set to 'sha1-contents', 'thumb' and
> >> 'old-thumb' could be different file names.  Update the thumbnail then."
> >
> > Much better, thanks.
> 
> Ok, so here is a new patch.

Thanks, installed.

Should this bug now be closed, or is there something else to do here?